<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="ru">
<head>
<!-- Generated by javadoc (1.8.0_151) on Sat Jun 15 11:41:21 MSK 2019 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Constant Field Values</title>
<meta name="date" content="2019-06-15">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Constant Field Values";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 title="Constant Field Values" class="title">Constant Field Values</h1>
<h2 title="Contents">Contents</h2>
<ul>
<li><a href="#com.playground">com.playground.*</a></li>
</ul>
</div>
<div class="constantValuesContainer"><a name="com.playground">
<!--   -->
</a>
<h2 title="com.playground">com.playground.*</h2>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.playground.drawingar.<a href="com/playground/drawingar/MainActivity.html" title="class in com.playground.drawingar">MainActivity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.playground.drawingar.MainActivity.FAR_CLIP">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;float</code></td>
<td><code><a href="com/playground/drawingar/MainActivity.html#FAR_CLIP">FAR_CLIP</a></code></td>
<td class="colLast"><code>100.0f</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.playground.drawingar.MainActivity.LINE_WIDTH">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;float</code></td>
<td><code><a href="com/playground/drawingar/MainActivity.html#LINE_WIDTH">LINE_WIDTH</a></code></td>
<td class="colLast"><code>0.019999999552965164f</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.playground.drawingar.MainActivity.NEAR_CLIP">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;float</code></td>
<td><code><a href="com/playground/drawingar/MainActivity.html#NEAR_CLIP">NEAR_CLIP</a></code></td>
<td class="colLast"><code>0.0010000000474974513f</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.playground.drawingar.MainActivity.TOUCH_QUEUE_SIZE">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/playground/drawingar/MainActivity.html#TOUCH_QUEUE_SIZE">TOUCH_QUEUE_SIZE</a></code></td>
<td class="colLast"><code>10</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.playground.drawingar.<a href="com/playground/drawingar/PermissionsActivity.html" title="class in com.playground.drawingar">PermissionsActivity</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.playground.drawingar.PermissionsActivity.SPLASH_DISPLAY_LENGTH">
<!--   -->
</a><code>private&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/playground/drawingar/PermissionsActivity.html#SPLASH_DISPLAY_LENGTH">SPLASH_DISPLAY_LENGTH</a></code></td>
<td class="colLast"><code>2000</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.playground.drawingar.helpers.<a href="com/playground/drawingar/helpers/PermissionHelper.html" title="class in com.playground.drawingar.helpers">PermissionHelper</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.playground.drawingar.helpers.PermissionHelper.CAMERA_PERMISSION">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/playground/drawingar/helpers/PermissionHelper.html#CAMERA_PERMISSION">CAMERA_PERMISSION</a></code></td>
<td class="colLast"><code>"android.permission.CAMERA"</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.playground.drawingar.helpers.PermissionHelper.CAMERA_PERMISSION_CODE">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/playground/drawingar/helpers/PermissionHelper.html#CAMERA_PERMISSION_CODE">CAMERA_PERMISSION_CODE</a></code></td>
<td class="colLast"><code>0</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.playground.drawingar.helpers.<a href="com/playground/drawingar/helpers/SnackbarHelper.html" title="class in com.playground.drawingar.helpers">SnackbarHelper</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.playground.drawingar.helpers.SnackbarHelper.BACKGROUND_COLOR">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/playground/drawingar/helpers/SnackbarHelper.html#BACKGROUND_COLOR">BACKGROUND_COLOR</a></code></td>
<td class="colLast"><code>-1087229390</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.playground.drawingar.helpers.<a href="com/playground/drawingar/helpers/TrackingStateHelper.html" title="class in com.playground.drawingar.helpers">TrackingStateHelper</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.playground.drawingar.helpers.TrackingStateHelper.BAD_STATE_MESSAGE">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/playground/drawingar/helpers/TrackingStateHelper.html#BAD_STATE_MESSAGE">BAD_STATE_MESSAGE</a></code></td>
<td class="colLast"><code>"Tracking lost due to bad internal state. Please try restarting the AR experience."</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.playground.drawingar.helpers.TrackingStateHelper.EXCESSIVE_MOTION_MESSAGE">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/playground/drawingar/helpers/TrackingStateHelper.html#EXCESSIVE_MOTION_MESSAGE">EXCESSIVE_MOTION_MESSAGE</a></code></td>
<td class="colLast"><code>"Moving too fast. Slow down."</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.playground.drawingar.helpers.TrackingStateHelper.INSUFFICIENT_FEATURES_MESSAGE">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/playground/drawingar/helpers/TrackingStateHelper.html#INSUFFICIENT_FEATURES_MESSAGE">INSUFFICIENT_FEATURES_MESSAGE</a></code></td>
<td class="colLast"><code>"Can\'t find anything. Aim device at a surface with more texture or color."</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.playground.drawingar.helpers.TrackingStateHelper.INSUFFICIENT_LIGHT_MESSAGE">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;java.lang.String</code></td>
<td><code><a href="com/playground/drawingar/helpers/TrackingStateHelper.html#INSUFFICIENT_LIGHT_MESSAGE">INSUFFICIENT_LIGHT_MESSAGE</a></code></td>
<td class="colLast"><code>"Too dark. Try moving to a well-lit area."</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
<ul class="blockList">
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.playground.drawingar.rendering.<a href="com/playground/drawingar/rendering/BackgroundRenderer.html" title="class in com.playground.drawingar.rendering">BackgroundRenderer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.playground.drawingar.rendering.BackgroundRenderer.COORDS_PER_VERTEX">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/playground/drawingar/rendering/BackgroundRenderer.html#COORDS_PER_VERTEX">COORDS_PER_VERTEX</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.playground.drawingar.rendering.BackgroundRenderer.FLOAT_SIZE">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/playground/drawingar/rendering/BackgroundRenderer.html#FLOAT_SIZE">FLOAT_SIZE</a></code></td>
<td class="colLast"><code>4</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.playground.drawingar.rendering.BackgroundRenderer.TEXCOORDS_PER_VERTEX">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/playground/drawingar/rendering/BackgroundRenderer.html#TEXCOORDS_PER_VERTEX">TEXCOORDS_PER_VERTEX</a></code></td>
<td class="colLast"><code>2</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.playground.drawingar.rendering.<a href="com/playground/drawingar/rendering/LineShaderRenderer.html" title="class in com.playground.drawingar.rendering">LineShaderRenderer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.playground.drawingar.rendering.LineShaderRenderer.BYTES_PER_FLOAT">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/playground/drawingar/rendering/LineShaderRenderer.html#BYTES_PER_FLOAT">BYTES_PER_FLOAT</a></code></td>
<td class="colLast"><code>4</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.playground.drawingar.rendering.LineShaderRenderer.BYTES_PER_POINT">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/playground/drawingar/rendering/LineShaderRenderer.html#BYTES_PER_POINT">BYTES_PER_POINT</a></code></td>
<td class="colLast"><code>12</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.playground.drawingar.rendering.LineShaderRenderer.FLOATS_PER_POINT">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/playground/drawingar/rendering/LineShaderRenderer.html#FLOATS_PER_POINT">FLOATS_PER_POINT</a></code></td>
<td class="colLast"><code>3</code></td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<table class="constantsSummary" border="0" cellpadding="3" cellspacing="0" summary="Constant Field Values table, listing constant fields, and values">
<caption><span>com.playground.drawingar.rendering.<a href="com/playground/drawingar/rendering/PointCloudRenderer.html" title="class in com.playground.drawingar.rendering">PointCloudRenderer</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th scope="col">Constant Field</th>
<th class="colLast" scope="col">Value</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><a name="com.playground.drawingar.rendering.PointCloudRenderer.BYTES_PER_FLOAT">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/playground/drawingar/rendering/PointCloudRenderer.html#BYTES_PER_FLOAT">BYTES_PER_FLOAT</a></code></td>
<td class="colLast"><code>4</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.playground.drawingar.rendering.PointCloudRenderer.BYTES_PER_POINT">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/playground/drawingar/rendering/PointCloudRenderer.html#BYTES_PER_POINT">BYTES_PER_POINT</a></code></td>
<td class="colLast"><code>16</code></td>
</tr>
<tr class="altColor">
<td class="colFirst"><a name="com.playground.drawingar.rendering.PointCloudRenderer.FLOATS_PER_POINT">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/playground/drawingar/rendering/PointCloudRenderer.html#FLOATS_PER_POINT">FLOATS_PER_POINT</a></code></td>
<td class="colLast"><code>4</code></td>
</tr>
<tr class="rowColor">
<td class="colFirst"><a name="com.playground.drawingar.rendering.PointCloudRenderer.INITIAL_BUFFER_POINTS">
<!--   -->
</a><code>private&nbsp;static&nbsp;final&nbsp;int</code></td>
<td><code><a href="com/playground/drawingar/rendering/PointCloudRenderer.html#INITIAL_BUFFER_POINTS">INITIAL_BUFFER_POINTS</a></code></td>
<td class="colLast"><code>1000</code></td>
</tr>
</tbody>
</table>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li><a href="overview-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-files/index-1.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?constant-values.html" target="_top">Frames</a></li>
<li><a href="constant-values.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
